﻿@model Web.Models.Querycs

@{
    ViewBag.Title = "UpdateQuery";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts{
    <script type="text/javascript" language="javascript" src="@Url.Content("~/Scripts/Home.js")"></script>
    <!-- <script type="text/javascript" src="@Url.Content("~/Scripts/Result.js")"></script>-->
}
 
                       <input type="hidden"  class="form-control" id="txtid" placeholder="Name" value="@Model.id" maxlength="100" >
                
      
<div class="row">
    <div class="col-md-3">
        <div class="panel panel-default">
            <div class="panel-heading"><h1 class="panel-title">Query Information</h1></div>
            <div class="panel-body">
                <form class="form-horizontal" enctype="multipart/form-data">
                    
                    <div class="form-group">
                        <label for="txtName">Name</label><input type="text" class="form-control" id="txtName" placeholder="Name" value="@Model.query_name" maxlength="100">
                    </div>
                    <div class="form-group">
                         <label for="txtDesc">Description</label><input type="text" class="form-control" id="txtDesc" value="@Model.description" placeholder="Description" maxlength="500">
                    </div>
                   <!-- <div class="form-group">
                         <label>Mi Nombre es : @Model.query_name </label> 
                    </div>-->
                   
                    <div class="form-group">
                        <div class="col-sm-10">
                            <button type="button" class="btn btn-primary" id="btnUpdate" onclick=""><i class="ion-android-add"></i>Update Query</button>
                         
                            <button type="button" class="btn btn-info" id="btnClear"><i class="ion-android-close"></i>Clear Query</button>
                       
                        </div>
                    </div>
                </form>
            </div>
        </div>
@*<div class="panel panel-default">
            <div class="panel-heading"><h1 class="panel-title">New Doctypes</h1></div> 
            <div class="panel-body">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <table id="tblPackages" class="table table-responsive">
                        <thead>
                            <tr>
                                <th class="col-md-1">Doctype ID</th>
                                <th class="col-md-2">Doctype Description</th>
                                <th class="col-md-1">Remove</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>*@
    </div>
    <div class="col-md-9">

     <div class="panel panel-default">
            <div class="panel-heading"><h1 class="panel-title">SQL Query Preview</h1></div>
            <div class="panel-body">
                <div class="col-md-12 col-sm-12 col-xs-12">
                     <textarea rows="40" class="form-control codemirror-textarea" id="txtSql"     spellcheck="false" >@Model.query_text </textarea>
                </div>
            </div>
        </div>
    </div>
</div>